#!/bin/sh

#####################  Start: User Defined Section  ###########################

# ----------------------------- SETTING_HOME -------------------------------- #
# Directory to your OBM setting home. Default to ~/.acb when not set.         #
# e.g. SETTING_HOME=~/.acb                                                    #
# --------------------------------------------------------------------------- #
SETTING_HOME=~/.acb

# ------------------------------- DEBUG_MODE -------------------------------- #
# Set the debug mode. Options available: [ --debug | {EMPTY} ]                #
# e.g. DEBUG_MODE=--debug                                                     #
# As of v5.2.2.5, debug mode is not available in ACB. This option is here     #
# for future references only.                                                 # 
# --------------------------------------------------------------------------- #
DEBUG_MODE=

######################  END: User Defined Section  ############################

###############################################################################
#      R E T R I E V E            A P P _ H O M E           P A T H           #
###############################################################################

cd `dirname "$0"`
APP_BIN=`pwd`
APP_HOME=`dirname "$APP_BIN"`

###############################################################################
#      R E T R I E V E           J A V A _ H O M E           P A T H          #
###############################################################################

JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Home

if [ ! -x "$APP_HOME/jvm" ];
then
   echo "$APP_HOME/jvm does not exist! Creating a symbolic link from ${APP_HOME}/jvm to ${JAVA_HOME}"
   ln -sf "${JAVA_HOME}" "${APP_HOME}/jvm"
fi

###############################################################################
#                  J A V A                 E X E C U T I O N                  #
###############################################################################

cd "$APP_HOME"

LIB_HOME=./bin
JAVA_OPTS="-Xmx256m -client -Djava.library.path=$APP_HOME/bin"
CLASSPATH=$LIB_HOME:$LIB_HOME/acb.jar:$LIB_HOME/acb-lib.jar
MAIN_CLASS=acb

echo "Using APP_HOME:    : ${APP_HOME}"
echo "Using SETTING_HOME : ${SETTING_HOME}"
echo "Using MAIN_CLASS   : ${MAIN_CLASS}"

"${APP_HOME}/jvm/bin/java" $JAVA_OPTS -cp $CLASSPATH $MAIN_CLASS ${DEBUG_MODE} "${APP_HOME}" "${SETTING_HOME}"

